Package org.apache.felix.http.base.internal.util

# Class UriUtils

java.lang.Object
org.apache.felix.http.base.internal.util.UriUtils

public abstract class UriUtils extends Object
Some convenience methods for handling URI(-parts).

## Method Summary

Modifier and Type
Method
Description
`static String`
`concat(String path1, String path2)`
Concatenates two paths keeping their respective path-parts into consideration.
`static String`
`decodePath(String path)`
Decodes a given URL-encoded path assuming it is UTF-8 encoded.
`static String`
`removeDotSegments(String path)`
Removes all superfluous dot-segments using the algorithm described in RFC-3986 section 5.2.4.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### concat

public static String concat(String path1, String path2)
Concatenates two paths keeping their respective path-parts into consideration.

Parameters:
  `path1` - the first part of the path, can be `null`;
  `path2` - the second part of the path, can be `null`.
Returns:
  the concatenated path, can be `null` in case both given arguments were `null`.

### decodePath

public static String decodePath(String path)
Decodes a given URL-encoded path assuming it is UTF-8 encoded.

Parameters:
  `path` - the URL-encoded path, can be `null`.
Returns:
  the decoded path, can be `null` only if the given path was `null`.

### removeDotSegments

public static String removeDotSegments(String path)
Removes all superfluous dot-segments using the algorithm described in RFC-3986 section 5.2.4.

Parameters:
  `path` - the path to remove all dot-segments from, can be `null`.
Returns:
  the cleaned path, can be `null` only if the given path was `null`.